Bug 217244 - K3b. Fails to start burn
K3b. Fails to start burn
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-25 13:35 EST by Dave Pawson
Modified: 2008-05-06 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:57:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Pawson 2006-11-25 13:35:18 EST
Description of problem: Fails to start burn


Version-Release number of selected component (if applicable): K3b Version: 0.12.15


How reproducible: Try and burn an ISO image (I was trying fc6)


Steps to Reproduce: 
1. Select image
2. Set speed to 8x
3. Start
  
Actual results:
Error report 
System
-----------------------
K3b Version: 0.12.15

KDE Version: 3.5.5-0.2.fc5 Fedora-Core
QT Version:  3.3.7
Kernel:      2.6.18-1.2239.fc5smp
Devices
-----------------------
PLEXTOR DVDR   PX-712A 1.04 (/dev/hdb, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM;
DVD-R; DVD-RW; DVD+R; DVD+RW] [DVD-ROM; DVD-R Sequential; DVD-RW Restricted
Overwrite; DVD-RW Sequential; DVD+RW; DVD+R; CD-ROM; CD-R; CD-RW] [SAO; TAO;
RAW; SAO/R96P; SAO/R96R; RAW/R16; RAW/R96P; RAW/R96R; Restricted Overwrite]

Used versions
-----------------------
cdrecord: 2.1.1a03

cdrecord
-----------------------
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdb'
devname: '/dev/hdb'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
/usr/bin/cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.85-RH '@(#)scsi-linux-sg.c 1.85 05/05/16
Copyright 1997 J. Schilling').
SCSI buffer size: 64512
/usr/bin/cdrecord: Operation not permitted. Cannot send SCSI cmd via ioctl
Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg
Schilling
NOTE: This version contains the OSS DVD extensions for cdrtools and thus may
      have bugs related to DVD issues that are not present in the original
      cdrtools. Please send bug reports or support requests to
      http://bugzilla.redhat.com/bugzilla The original cdrtools author should
      not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
Using libscg version 'schily-0.8'.
Driveropts: 'burnfree'
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 1
Vendor_info    : 'PLEXTOR '
Identifikation : 'DVDR   PX-712A  '
Revision       : '1.04'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009
Profile: 0x001B 
Profile: 0x001A 
Profile: 0x0014 
Profile: 0x0013 
Profile: 0x0011 
Profile: 0x0010 
Profile: 0x000A 
Profile: 0x0009 (current)
Profile: 0x0008 

cdrecord command:
-----------------------
/usr/bin/cdrecord -v gracetime=2 dev=/dev/hdb speed=8 -dao driveropts=burnfree
-eject -data /installation/fc6/FC-6-i386-disc3.iso 




Expected results: A burned CD


Additional info: Enough!
Comment 1 Ricardo Levi Campos 2007-06-09 07:40:04 EDT
Devices
-----------------------
DVDRW 16X16X YTS1 (/dev/hdb, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM; DVD-R; DVD-RW;
DVD+R; DVD+RW] [DVD-ROM; DVD-R Sequencial; DVD-RW Sobrescrever Restrito; DVD-RW
Sequencial; DVD+RW; DVD+R; DVD+R Double Layer; CD-ROM; CD-R; CD-RW] [SAO; TAO;
RAW; SAO/R16; RAW/R96P; RAW/R96R]

System
-----------------------
K3b Version: 0.11.24
KDE Version: 3.4.1-1.0.fc2.kde
QT Version:  3.3.4
Kernel:      2.6.14-3_MS

cdrecord
-----------------------
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdb'
devname: '/dev/hdb'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
/usr/bin/cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c 1.83 04/05/20
Copyright 1997 J. Schilling').
SCSI buffer size: 64512
/usr/bin/cdrecord: Found DVD media: using cdr_mdvd.
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
Using libscg version 'schily-0.8'.
Driveropts: 'burnfree'
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   : 
Vendor_info    : 'DVDRW   '
Identifikation : '16X16X          '
Revision       : 'YTS1'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0011
Profile: 0x002B 
Profile: 0x001B 
Profile: 0x001A 
Profile: 0x0016 
Profile: 0x0015 
Profile: 0x0014 
Profile: 0x0013 
Profile: 0x0011 (current)
Profile: 0x0010 
Profile: 0x000A 
Profile: 0x0009 
Profile: 0x0008 
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE 
Supported modes: PACKET SAO
Drive buf size : 1182464 = 1154 KB
FIFO size      : 4194304 = 4096 KB
/usr/bin/cdrecord: Drive does not support TAO recording.
/usr/bin/cdrecord: Illegal write mode for this drive.

cdrecord comand:
-----------------------
/usr/bin/cdrecord -v gracetime=2 dev=/dev/hdb speed=4 -tao driveropts=burnfree
-eject -data -tsize=1471055s - 

mkisofs
-----------------------
1471055
INFO: UTF-8 character encoding detected by locale settings.
 Assuming UTF-8 encoded filenames on source filesystem,
 use -input-charset to override.

mkisofs comand:
-----------------------
/usr/bin/mkisofs -gui -graft-points -volid K3b data project -volset  -appid K3B
THE CD KREATOR VERSION 0.11.24 (C) 2003 SEBASTIAN TRUEG AND THE K3B TEAM
-publisher  -preparer K3b - Versão 0.11.24 -sysid LINUX -volset-size 1
-volset-seqno 1 -sort /tmp/kde-Amazon/k3bK4Nxmb.tmp -rational-rock -hide-list
/tmp/kde-Amazon/k3b2oCdlb.tmp -full-iso9660-filenames -iso-level 2 -path-list
/tmp/kde-Amazon/k3bMaVDja.tmp /home/Amazon/.kde/share/apps/k3b/temp/dummydir0/ 
Comment 2 Bug Zapper 2008-04-04 00:56:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:57:11 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.